com.verisign.epp.codec.rgpext

## Class EPPRgpExtReportText

- java.lang.Object
- - com.verisign.epp.codec.rgpext.EPPRgpExtReportText

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRgpExtReportText
      extends java.lang.Object
      implements EPPCodecComponent

  The EPPRgpExtReportText is the EPPCodecComponent that knows how to encode and decode RGP report text elements from/to XML and object instance. Does both statements and reasons.

  Title: EPP 1.0 RGP

  Description: RGP Extension to the EPP SDK

  Copyright: Copyright (c) 2004

  Company: VeriSign

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_DEFAULT_LANG` Default Language -- English "en"
    `static java.lang.String` | `ELM_RES_REASON` Element tag name for the resReason Element
    `static java.lang.String` | `ELM_STATEMENT` Element tag name for the statement Element

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRgpExtReportText()` Create a new instance of EPPRgpExtReportText
    `EPPRgpExtReportText(java.lang.String aMessage)` Create a new instance of EPPRgpExtReportText with the given message string.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRgpExtReportText`.
    `void` | `decode(org.w3c.dom.Element aElement)` Populate the data of this instance with the data stored in the given Element of the DOM tree
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Attach all data to the DOM Document passed in.
    `boolean` | `equals(java.lang.Object aObject)` Implements a deep `EPPRgpExtReportText` compare.
    `java.lang.String` | `getLang()` Get the value of the lang attribute
    `java.lang.String` | `getLocalName()` Get the current local name without the namespace prefix.
    `java.lang.String` | `getMessage()` Get the value of the message attribute
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `void` | `setLang(java.lang.String lang)` Sets the value of the long attribute
    `void` | `setLocalName(java.lang.String localName)` Set the current local name without the namespace prefix.
    `void` | `setMessage(java.lang.String message)` set the value of the message attribute

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELM_DEFAULT_LANG

          public static final java.lang.String ELM_DEFAULT_LANG

      Default Language -- English "en"
      See Also:
        Constant Field Values

    - #### ELM_RES_REASON

          public static final java.lang.String ELM_RES_REASON

      Element tag name for the resReason Element
      See Also:
        Constant Field Values

    - #### ELM_STATEMENT

          public static final java.lang.String ELM_STATEMENT

      Element tag name for the statement Element
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRgpExtReportText

          public EPPRgpExtReportText()

      Create a new instance of EPPRgpExtReportText

    - #### EPPRgpExtReportText

          public EPPRgpExtReportText(java.lang.String aMessage)

      Create a new instance of EPPRgpExtReportText with the given message string.
      Parameters:
        `aMessage` - The message value to set

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Attach all data to the DOM Document passed in.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - The DOM Document to append data to
      Returns:
        Encoded DOM `Element`
      Throws:
        `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Populate the data of this instance with the data stored in the given Element of the DOM tree
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - The root element of the report fragment of XML
      Throws:
        `EPPDecodeException` - Thrown if any errors occur during decoding.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Implements a deep `EPPRgpExtReportText` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRgpExtReportText` instance to compare with
      Returns:
        true if equal false otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRgpExtReportText`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRgpExtReportText`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getLang

          public java.lang.String getLang()

      Get the value of the lang attribute
      Returns:
        the value of the lang attribute

    - #### setLang

          public void setLang(java.lang.String lang)

      Sets the value of the long attribute
      Parameters:
        `lang` - the new value of the lang attribute

    - #### getMessage

          public java.lang.String getMessage()

      Get the value of the message attribute
      Returns:
        the value of the message attribute

    - #### setMessage

          public void setMessage(java.lang.String message)

      set the value of the message attribute
      Parameters:
        `message` - the value of the message attribute

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the current local name without the namespace prefix. "statement" or "reason"
      Returns:
        the current tage name.

    - #### setLocalName

          public void setLocalName(java.lang.String localName)

      Set the current local name without the namespace prefix.
      Parameters:
        `localName` - the new value of the tag name.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.